Get the published customer portal of the store with its retention, Membership and products
curl --request GET \
--url https://api.tagada.io/api/v1/portal/configimport requests
url = "https://api.tagada.io/api/v1/portal/config"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.tagada.io/api/v1/portal/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"store": {
"id": "<string>",
"name": "<string>",
"domain": "<string>",
"currency": "<string>",
"currencies": [
"<string>"
],
"checkoutDomain": "<string>",
"supportEmail": "<string>",
"logo": "<string>",
"shippingFlatRate": 123,
"storefronts": {
"shopify": true,
"woocommerce": true
}
},
"portal": {
"schemaVersion": 1,
"templateId": "essential",
"theme": {
"logo": "<string>",
"accent": "<string>",
"accentContrast": "<string>",
"background": "<string>",
"surface": "<string>",
"text": "<string>",
"mutedText": "<string>",
"border": "<string>",
"radius": 1,
"headingFont": "<string>",
"bodyFont": "<string>",
"buttonShape": "rounded"
},
"layout": "sidebar",
"pages": {
"home": [
{
"id": "<string>",
"visible": true,
"area": "header",
"width": "full",
"layout": "list",
"heading": "<string>",
"actions": {
"send-now": true,
"skip": true,
"pause": true,
"change-date": true,
"change-frequency": true,
"swap": true,
"change-quantity": true,
"cancel": true
}
}
],
"subscriptions": [
{
"id": "<string>",
"visible": true,
"area": "header",
"width": "full",
"layout": "list",
"heading": "<string>",
"actions": {
"send-now": true,
"skip": true,
"pause": true,
"change-date": true,
"change-frequency": true,
"swap": true,
"change-quantity": true,
"cancel": true
}
}
],
"subscription": [
{
"id": "<string>",
"visible": true,
"area": "header",
"width": "full",
"layout": "list",
"heading": "<string>",
"actions": {
"send-now": true,
"skip": true,
"pause": true,
"change-date": true,
"change-frequency": true,
"swap": true,
"change-quantity": true,
"cancel": true
}
}
],
"orders": [
{
"id": "<string>",
"visible": true,
"area": "header",
"width": "full",
"layout": "list",
"heading": "<string>",
"actions": {
"send-now": true,
"skip": true,
"pause": true,
"change-date": true,
"change-frequency": true,
"swap": true,
"change-quantity": true,
"cancel": true
}
}
],
"order": [
{
"id": "<string>",
"visible": true,
"area": "header",
"width": "full",
"layout": "list",
"heading": "<string>",
"actions": {
"send-now": true,
"skip": true,
"pause": true,
"change-date": true,
"change-frequency": true,
"swap": true,
"change-quantity": true,
"cancel": true
}
}
],
"membership": [
{
"id": "<string>",
"visible": true,
"area": "header",
"width": "full",
"layout": "list",
"heading": "<string>",
"actions": {
"send-now": true,
"skip": true,
"pause": true,
"change-date": true,
"change-frequency": true,
"swap": true,
"change-quantity": true,
"cancel": true
}
}
],
"credits": [
{
"id": "<string>",
"visible": true,
"area": "header",
"width": "full",
"layout": "list",
"heading": "<string>",
"actions": {
"send-now": true,
"skip": true,
"pause": true,
"change-date": true,
"change-frequency": true,
"swap": true,
"change-quantity": true,
"cancel": true
}
}
],
"account": [
{
"id": "<string>",
"visible": true,
"area": "header",
"width": "full",
"layout": "list",
"heading": "<string>",
"actions": {
"send-now": true,
"skip": true,
"pause": true,
"change-date": true,
"change-frequency": true,
"swap": true,
"change-quantity": true,
"cancel": true
}
}
]
},
"copy": {
"welcomeTitle": "<string>",
"welcomeBody": "<string>",
"supportLabel": "<string>"
},
"status": "draft",
"permissions": {
"canSkip": true,
"canPause": true,
"maxPauseDays": 2,
"canChangeDate": true,
"canChangeFrequency": true,
"canSwapProduct": true,
"canChangeQuantity": true,
"canCancel": true
},
"customDomain": "<string>"
},
"retention": {
"reasons": [
{
"id": "<string>",
"label": "<string>",
"offerId": "<string>",
"appliesTo": "subscription"
}
],
"offers": [
{
"id": "<string>",
"kind": "discount",
"title": "<string>",
"body": "<string>",
"value": 123,
"appliesTo": "subscription",
"enabled": true
}
],
"confirm": {
"subscription": {
"title": "<string>",
"body": "<string>"
},
"membership": {
"title": "<string>",
"body": "<string>"
}
}
},
"membership": {
"id": "<string>",
"productId": "<string>",
"name": "<string>",
"status": "active",
"description": "<string>",
"image": "<string>",
"options": [
{
"id": "monthly",
"label": "<string>",
"interval": "month",
"price": {},
"enabled": true,
"isDefault": true
}
],
"minimumMonths": 2,
"perks": {
"enabled": {
"memberPrices": true,
"storewideDiscount": true,
"freeShipping": true,
"monthlyCredits": true,
"creditPrices": true,
"creditPacks": true,
"memberOnly": true
},
"memberPricePercent": 50,
"memberPriceProductIds": [
"<string>"
],
"memberPriceOverrides": [
{
"productId": "<string>",
"percent": 50
}
],
"includeNewProducts": true,
"monthlyCredits": 1,
"creditRolloverCap": 1,
"creditsUsableAfterCancelDays": 1,
"creditPrices": [
{
"productId": "<string>",
"credits": 2
}
],
"freeShippingThreshold": 1,
"storewideDiscountPercent": 50,
"perksOnJoiningOrder": true
},
"creditPacks": [
{
"id": "<string>",
"productId": "<string>",
"name": "<string>",
"credits": 2,
"bonusCredits": 1,
"price": 1,
"membersOnly": true
}
],
"memberOnlyProductIds": [
"<string>"
],
"perkTitles": {
"memberPrices": "<string>",
"storewideDiscount": "<string>",
"freeShipping": "<string>",
"monthlyCredits": "<string>",
"creditPrices": "<string>",
"creditPacks": "<string>",
"memberOnly": "<string>"
},
"gracePeriodDays": 1
},
"products": [
{
"id": "<string>",
"title": "<string>",
"handle": "<string>",
"description": "<string>",
"status": "active",
"image": "<string>",
"variants": [
{
"id": "<string>",
"title": "<string>",
"sku": "<string>",
"price": 123,
"prices": {},
"compareAtPrice": 123,
"inventory": 123
}
],
"purchaseMode": "one-time",
"options": [
{
"id": "<string>",
"label": "<string>",
"interval": "week",
"intervalCount": 2,
"discountPercent": 50,
"origin": "tagada",
"shopifySynced": true,
"minimumCycles": 2,
"isDefault": true,
"variantPrices": {},
"subscribers": 1
}
],
"memberOnly": true,
"permissionOverrides": {
"canSkip": true,
"canPause": true,
"canChangeDate": true,
"canChangeFrequency": true,
"canSwapProduct": true,
"canChangeQuantity": true,
"canCancel": true
}
}
]
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}portal
Get the published customer portal of the store with its retention, Membership and products
Get the published customer portal of the store with its retention, Membership and products
GET
/
api
/
v1
/
portal
/
config
Get the published customer portal of the store with its retention, Membership and products
Query Parameters
Minimum string length:
1